# Interface for submodule: Point1D
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: Point1D
from ._proxies import Point1DProxy as _Point1DProxy
class _Point1DTemplate(_itkTemplate):
    """Interface for instantiating itk::Point1D"""

    def __new__(cls, *args: Any) -> _Point1DProxy:
        """Instantiate itk::Point1D"""
        ...

    def __call__(self, *args: Any) -> _Point1DProxy:
        """Instantiate itk::Point1D"""
        ...

Point1D = _Point1DTemplate

